Description: Vars backup and translation fix
 Addon variables backup added
 Icon design change
 Translation fix
 .
 linion (1.0-7) jammy; urgency=medium
 .
   * Addon variables backup added
   * Icon design change
   * Translation fix
Author: Eugene E. Sorochinskiy <manager@darkguard.net>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2022-12-29

--- linion-1.0.orig/QAddonListModel.cpp
+++ linion-1.0/QAddonListModel.cpp
@@ -5,6 +5,7 @@
 #include "QAddonListModel.h"
 #include "preferences.h"
 #include "BinaryDownloader.h"
+#include "configdialog.h"
 #include <QPixmap>
 
 #ifdef _DEBUG
@@ -43,7 +44,10 @@ QAddonListModel::~QAddonListModel() {
     disconnectWatcher();
 }
 
-int QAddonListModel::rowCount(const QModelIndex &) const {
+int QAddonListModel::rowCount(const QModelIndex &parent) const {
+    if (parent.isValid()) {
+        return 0;
+    }
     return addonList.count();
 }
 
@@ -92,9 +96,10 @@ QVariant QAddonListModel::data(const QMo
             break;
         case Qt::DecorationRole: {
                 const ItemData::ItemStatus &cStatus = addonList.at(index.row()).isStatus();
-                if (cStatus != ItemData::NotInstalled) {
-                    value = QPixmap(addonList.at(index.row()).isStatus() == ItemData::InstalledBackedUp ?
-                                    ":/images/green_check.png" : ":/images/red_cross.png");
+                if (cStatus == ItemData::InstalledBackedUp) {
+                    value = QPixmap(":/images/green_check.png");
+                } else if (cStatus == ItemData::Installed) {
+                    value = QPixmap(":/images/installed.png");
                 } else {
                     value = QPixmap(":/images/red_cross.png");
                 }
@@ -134,7 +139,7 @@ ItemData *QAddonListModel::prepareAndFil
         return nullptr;
     } else {
 
-        // This fucking MAC OS doesn't allow to use text mode read
+        // This fucking MACOS doesn't allow to use text mode read
         QString title;
         QString version;
         QString author;
@@ -351,13 +356,23 @@ void QAddonListModel::backupAllClicked()
 
 void QAddonListModel::backupAddonClicked() {
 
-    const QTreeView *view = qobject_cast<QTreeView *>(parent());
+    auto *view = qobject_cast<QTreeView *>(parent());
     const QModelIndexList &selectedSet = view->selectionModel()->selectedIndexes();
     if (selectedSet.count() > 1) {
         return; // fuckup
     }
     const QModelIndex &index = selectedSet[0];
     const QString &aPath = index.data(QAddonListModel::PathRole).toString();
+    const QString &addonDisplayName = index.data(Qt::DisplayRole).toString();
+
+    QMessageBox::StandardButton button = QMessageBox::warning(view, tr("Info"),
+                                                              tr("Do you want to backup this addon: %1?")
+                                                                      .arg(addonDisplayName),
+                                                              QMessageBox::StandardButtons(
+                                                                      QMessageBox::Yes | QMessageBox::No));
+    if (button == QMessageBox::No) {
+        return;
+    }
 
     emit percent(1, 100, tr("Backing up single addon"));
     processBackup(aPath);
@@ -418,6 +433,21 @@ void QAddonListModel::processBackup(cons
 
         }
     }
+
+    if (backupSaved) {
+        const QString &srcVars = savedVarsPath + QDir::separator() + srcDir.dirName() + ".lua";
+        if (!QFile(srcVars).exists()) {
+            return;
+        }
+        const QString &dstVarsDirStr = backupPath + QDir::separator() + ConfigDialog::savedVarsSuffix;
+        const QDir &dDir = QDir(dstVarsDirStr);
+        if (!dDir.exists()) {
+            dDir.mkpath(".");
+        }
+
+        const QString &dstVarsFileStr = dstVarsDirStr + QDir::separator() + srcDir.dirName() + ".lua";
+        QFile::copy(srcVars, dstVarsFileStr);
+    }
 }
 
 void QAddonListModel::restoreAddonClicked() {
@@ -501,6 +531,17 @@ void QAddonListModel::processRestore(con
             }
         }
     }
+
+    if (backupSaved) {
+
+        const QString &srcVars = backupPath + QDir::separator() + ConfigDialog::savedVarsSuffix +
+                QDir::separator() + srcDirName + ".lua";
+        if (!QFile(srcVars).exists()) {
+            return;
+        }
+        const QString &dstVarsFileStr = savedVarsPath + QDir::separator() + srcDirName + ".lua";
+        QFile::copy(srcVars, dstVarsFileStr);
+    }
 }
 
 void QAddonListModel::copyPath(const QString &src, const QString &dst) const {
@@ -548,6 +589,8 @@ void QAddonListModel::setModelData(const
     zipCommand = data.value("zipCommand").toString();
     tarExtractCommand = data.value("tarExtractCommand").toString();
     zipExtractCommand = data.value("zipExtractCommand").toString();
+    savedVarsPath = data.value("savedVarsPath").toString();
+    backupSaved = data.value("backupSaved").toBool();
 
 }
 
--- linion-1.0.orig/QAddonListModel.h
+++ linion-1.0/QAddonListModel.h
@@ -86,6 +86,8 @@ private:
     QString zipCommand;
     QString tarExtractCommand;
     QString zipExtractCommand;
+    QString savedVarsPath;
+    bool backupSaved;
 
     void refreshFolderList();
     void refreshESOSiteList();
--- linion-1.0.orig/configdialog.cpp
+++ linion-1.0/configdialog.cpp
@@ -11,6 +11,9 @@
 #include <QPushButton>
 #include <QFileDialog>
 
+
+QString ConfigDialog::savedVarsSuffix = "SavedVariables";
+
 ConfigDialog::ConfigDialog(QWidget *parent) :
         QDialog(parent), ui(new Ui::ConfigDialog) {
     ui->setupUi(this);
@@ -24,6 +27,7 @@ ConfigDialog::ConfigDialog(QWidget *pare
 
     connect(ui->addonFolderPathButton, &QToolButton::clicked, this, &ConfigDialog::addonPathChoose);
     connect(ui->backupPathButton, &QToolButton::clicked, this, &ConfigDialog::backupPathChoose);
+    connect(ui->savedVarsPathButton, &QToolButton::clicked, this, &ConfigDialog::savedVarsPathChoose);
 
     auto *locUi = ui;
     connect(ui->doNotUse, &QRadioButton::toggled, this, [locUi]() {
@@ -63,6 +67,13 @@ void ConfigDialog::transferData(const Pr
 
     ui->tarExtractCommand->setText(data.value("tarExtractCommand").toString());
     ui->zipExtractCommand->setText(data.value("zipExtractCommand").toString());
+    QString sPath = data.value("savedVarsPath").toString();
+    if (sPath.isEmpty() && !ui->addonFolderPath->text().isEmpty()) {
+        sPath = prepareSavedPath(ui->addonFolderPath->text());
+    }
+    ui->savedVarsPath->setText(sPath);
+    ui->backupSaved->setChecked(data.value("backupSaved").toBool());
+    ui->savedVarsPath->setEnabled(ui->backupSaved->isChecked());
 
 }
 
@@ -83,6 +94,8 @@ void ConfigDialog::addonPathChoose() {
                                                  | QFileDialog::DontResolveSymlinks);
     if (!dir.isEmpty()) {
         ui->addonFolderPath->setText(dir);
+        const QString &sPath = prepareSavedPath(ui->addonFolderPath->text());
+        ui->savedVarsPath->setText(sPath);
     }
 }
 
@@ -94,7 +107,6 @@ void ConfigDialog::backupPathChoose() {
     if (!dir.isEmpty()) {
         ui->backupPath->setText(dir);
     }
-
 }
 
 PreferencesType ConfigDialog::receiveData() const {
@@ -109,6 +121,27 @@ PreferencesType ConfigDialog::receiveDat
     data.insert("zipCommand", ui->zipCommand->text());
     data.insert("tarExtractCommand", ui->tarExtractCommand->text());
     data.insert("zipExtractCommand", ui->zipExtractCommand->text());
+    data.insert("savedVarsPath", ui->savedVarsPath->text());
+    data.insert("backupSaved", ui->backupSaved->isChecked());
     return data;
 }
 
+void ConfigDialog::savedVarsPathChoose() {
+    auto dir = QFileDialog::getExistingDirectory(this, tr("Choose Saved Vars Directory"),
+                                                 ui->savedVarsPath->text(),
+                                                 QFileDialog::ShowDirsOnly
+                                                 | QFileDialog::DontResolveSymlinks);
+    if (!dir.isEmpty()) {
+        ui->savedVarsPath->setText(dir);
+    }
+}
+
+QString ConfigDialog::prepareSavedPath(const QString &sPath) const {
+
+    const QString &cPath = sPath.section(QDir::separator(), 0, -2) +
+                           QDir::separator() + ConfigDialog::savedVarsSuffix;
+    return  cPath;
+    
+}
+
+
--- linion-1.0.orig/configdialog.h
+++ linion-1.0/configdialog.h
@@ -17,6 +17,9 @@ class ConfigDialog : public QDialog {
 Q_OBJECT
 
 public:
+
+    static QString savedVarsSuffix;
+
     explicit ConfigDialog(QWidget *parent = nullptr);
     ~ConfigDialog() override;
     void setTopSelected();
@@ -28,12 +31,14 @@ public:
 
 private:
     Ui::ConfigDialog *ui;
+    QString prepareSavedPath(const QString &) const;
 
 
 private slots:
     void currentChanged(const QModelIndex &, const QModelIndex &);
     void addonPathChoose();
     void backupPathChoose();
+    void savedVarsPathChoose();
 
 
 };
--- linion-1.0.orig/configdialog.ui
+++ linion-1.0/configdialog.ui
@@ -141,7 +141,7 @@
      <item>
       <widget class="QStackedWidget" name="stackedWidget">
        <property name="currentIndex">
-        <number>1</number>
+        <number>0</number>
        </property>
        <widget class="QWidget" name="pathsPage">
         <layout class="QVBoxLayout" name="verticalLayout_2">
@@ -169,21 +169,21 @@
             <property name="verticalSpacing">
              <number>6</number>
             </property>
-            <item row="0" column="0">
-             <widget class="QLabel" name="label">
+            <item row="1" column="2">
+             <widget class="QToolButton" name="savedVarsPathButton">
               <property name="text">
-               <string>TESO Addons Path</string>
-              </property>
-              <property name="alignment">
-               <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+               <string>...</string>
               </property>
              </widget>
             </item>
+            <item row="3" column="1">
+             <widget class="QLineEdit" name="backupPath"/>
+            </item>
             <item row="0" column="1">
              <widget class="QLineEdit" name="addonFolderPath"/>
             </item>
-            <item row="0" column="2">
-             <widget class="QToolButton" name="addonFolderPathButton">
+            <item row="3" column="2">
+             <widget class="QToolButton" name="backupPathButton">
               <property name="statusTip">
                <string notr="true"/>
               </property>
@@ -192,7 +192,20 @@
               </property>
              </widget>
             </item>
+            <item row="1" column="1">
+             <widget class="QLineEdit" name="savedVarsPath"/>
+            </item>
             <item row="1" column="0">
+             <widget class="QLabel" name="label_5">
+              <property name="text">
+               <string>Saved Vars Path</string>
+              </property>
+              <property name="alignment">
+               <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+              </property>
+             </widget>
+            </item>
+            <item row="3" column="0">
              <widget class="QLabel" name="label_2">
               <property name="text">
                <string>Backup Path</string>
@@ -202,11 +215,18 @@
               </property>
              </widget>
             </item>
-            <item row="1" column="1">
-             <widget class="QLineEdit" name="backupPath"/>
+            <item row="0" column="0">
+             <widget class="QLabel" name="label">
+              <property name="text">
+               <string>TESO Addons Path</string>
+              </property>
+              <property name="alignment">
+               <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+              </property>
+             </widget>
             </item>
-            <item row="1" column="2">
-             <widget class="QToolButton" name="backupPathButton">
+            <item row="0" column="2">
+             <widget class="QToolButton" name="addonFolderPathButton">
               <property name="statusTip">
                <string notr="true"/>
               </property>
@@ -215,6 +235,13 @@
               </property>
              </widget>
             </item>
+            <item row="2" column="1">
+             <widget class="QCheckBox" name="backupSaved">
+              <property name="text">
+               <string>Backup Saved Vars</string>
+              </property>
+             </widget>
+            </item>
            </layout>
           </widget>
          </item>
@@ -364,5 +391,22 @@
  <resources>
   <include location="images.qrc"/>
  </resources>
- <connections/>
+ <connections>
+  <connection>
+   <sender>backupSaved</sender>
+   <signal>clicked(bool)</signal>
+   <receiver>savedVarsPath</receiver>
+   <slot>setEnabled(bool)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>375</x>
+     <y>147</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>473</x>
+     <y>100</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
 </ui>
--- linion-1.0.orig/images.qrc
+++ linion-1.0/images.qrc
@@ -6,6 +6,7 @@
         <file>desktop/64x64/linion.png</file>
         <file>restore_back.png</file>
         <file>restore_back_disabled.png</file>
+        <file>installed.png</file>
     </qresource>
 </RCC>
 
--- linion-1.0.orig/mainwindow.h
+++ linion-1.0/mainwindow.h
@@ -53,9 +53,9 @@ private:
             {"tarCommand", QVariant("tar cvzf %1.tgz")},
             {"zipCommand", QVariant("zip -r %1.zip")},
             {"tarExtractCommand", QVariant("tar xvf")},
-            {"zipExtractCommand", QVariant("unzip -o")}
-
-
+            {"zipExtractCommand", QVariant("unzip -o")},
+            {"savedVarsPath", QVariant()},
+            {"backupSaved", false}
     };
 
     void writeSettings(const PreferencesType &data);
--- linion-1.0.orig/mainwindow_de.ts
+++ linion-1.0/mainwindow_de.ts
@@ -36,100 +36,119 @@ p, li { white-space: pre-wrap; }
     <name>ConfigDialog</name>
     <message>
         <location filename="configdialog.ui" line="17"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="295"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="322"/>
         <source>Application Settings</source>
         <translation>App Einstellungen</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="114"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="300"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="327"/>
         <source>App Paths</source>
-        <translation>App-Pfade</translation>
+        <translation>App-Pfad</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="129"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="302"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="329"/>
         <source>Archivers</source>
         <translation>Archiv</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="166"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="305"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="332"/>
         <source>TESO Addons And Backup</source>
         <translation>Sicherung</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="175"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="306"/>
+        <location filename="configdialog.ui" line="221"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
         <source>TESO Addons Path</source>
-        <translation>Addon-Pfade</translation>
+        <translation>Addonpfad</translation>
     </message>
     <message>
+        <location filename="configdialog.ui" line="175"/>
         <location filename="configdialog.ui" line="191"/>
-        <location filename="configdialog.ui" line="214"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="307"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="309"/>
+        <location filename="configdialog.ui" line="234"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="333"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="334"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="338"/>
         <source>...</source>
         <translation>...</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="198"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="308"/>
+        <location filename="configdialog.ui" line="211"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="336"/>
         <source>Backup Path</source>
-        <translation>Sicherung Pfade</translation>
+        <translation>Sicherungspfad</translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="201"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
+        <source>Saved Vars Path</source>
+        <translation>Sichervariabelpfad</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="253"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="310"/>
+        <location filename="configdialog.ui" line="241"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="339"/>
+        <source>Backup Saved Vars</source>
+        <translation>Variabeln sichern</translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="280"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="340"/>
         <source>Backup Archivers</source>
-        <translation>Sicherungsarchive</translation>
+        <translation>Archive sichern</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="262"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="311"/>
+        <location filename="configdialog.ui" line="289"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="341"/>
         <source>Do not use just copy</source>
         <translation>Keine Archiver nur Korierung</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="269"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="312"/>
+        <location filename="configdialog.ui" line="296"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="342"/>
         <source>Tar</source>
         <translation>Tar</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="313"/>
+        <location filename="configdialog.ui" line="306"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="343"/>
         <source>Zip</source>
         <translation>Zip</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="292"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="314"/>
+        <location filename="configdialog.ui" line="319"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="344"/>
         <source>Extractors</source>
         <translation>Schleudern</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="313"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="315"/>
+        <location filename="configdialog.ui" line="340"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="345"/>
         <source>Zip Extract Command</source>
         <translation>Zip Schleuderkommand</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="323"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="316"/>
+        <location filename="configdialog.ui" line="350"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="346"/>
         <source>Tar Extract Command</source>
         <translation>Tar Schleuderkommand</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="80"/>
+        <location filename="configdialog.cpp" line="91"/>
         <source>Choose ESO Adddons Directory</source>
         <translation>Wahlen Sie ESO Addonsdateiverzeichnis</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="90"/>
+        <location filename="configdialog.cpp" line="103"/>
         <source>Choose Backup Directory</source>
         <translation>Wahlen Sie ESO Sicherungsverzeichnis</translation>
     </message>
+    <message>
+        <location filename="configdialog.cpp" line="130"/>
+        <source>Choose Saved Vars Directory</source>
+        <translation>Wahlen Sie Sichervariabelsverzeichnis</translation>
+    </message>
 </context>
 <context>
     <name>MainWindow</name>
@@ -271,12 +290,12 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Local Description</source>
-        <translation>Lokalaufschreibung</translation>
+        <translation>Lokalbeschreibung</translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Remote Description</source>
-        <translation>Seiteaufschreibung</translation>
+        <translation>Seitebeschreibung</translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="181"/>
@@ -307,138 +326,144 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QAddonListModel</name>
     <message>
-        <location filename="QAddonListModel.cpp" line="83"/>
+        <location filename="QAddonListModel.cpp" line="87"/>
         <source>Not installed</source>
         <translation>Nicht installiert</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="85"/>
+        <location filename="QAddonListModel.cpp" line="89"/>
         <source>Installed, Not backed up</source>
         <translation>Installiert, Keine Sicherung</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="87"/>
+        <location filename="QAddonListModel.cpp" line="91"/>
         <source>Installed. Backed up</source>
         <translation>Installiert, Gesichert</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="172"/>
+        <location filename="QAddonListModel.cpp" line="177"/>
         <source>No description</source>
-        <translation>Keine Aufschreibung</translation>
+        <translation>Keine Beschreibung</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="173"/>
+        <location filename="QAddonListModel.cpp" line="178"/>
         <source>Unknown Author</source>
         <translation>Ungeklärter Autor</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="174"/>
+        <location filename="QAddonListModel.cpp" line="179"/>
         <source>Unknown Title</source>
         <translation>Ungeklärter Titel</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="176"/>
+        <location filename="QAddonListModel.cpp" line="181"/>
         <source>Unknown Version</source>
         <translation>Ungeklärte Version</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="213"/>
+        <location filename="QAddonListModel.cpp" line="218"/>
         <source>Refresh</source>
         <translation>Aktualisieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="263"/>
-        <location filename="QAddonListModel.cpp" line="269"/>
+        <location filename="QAddonListModel.cpp" line="268"/>
+        <location filename="QAddonListModel.cpp" line="274"/>
         <source>Updating</source>
         <translation>Aktualisierung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="320"/>
-        <location filename="QAddonListModel.cpp" line="336"/>
-        <location filename="QAddonListModel.cpp" line="435"/>
-        <location filename="QAddonListModel.cpp" line="639"/>
+        <location filename="QAddonListModel.cpp" line="325"/>
+        <location filename="QAddonListModel.cpp" line="341"/>
+        <location filename="QAddonListModel.cpp" line="368"/>
+        <location filename="QAddonListModel.cpp" line="465"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>Info</source>
         <translation>Info</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="321"/>
+        <location filename="QAddonListModel.cpp" line="326"/>
         <source>Do you really want to delete this addon: %1?</source>
         <translation>Möchten Sie wirklich dieses Addon löschen: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="337"/>
+        <location filename="QAddonListModel.cpp" line="342"/>
         <source>Do you want to make a backup of all installed addons?</source>
         <translation>Möchten Sie wirklich alle installierte Addons sicherkopieren?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="346"/>
+        <location filename="QAddonListModel.cpp" line="351"/>
         <source>Backing up</source>
         <translation>Sicherung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="362"/>
-        <location filename="QAddonListModel.cpp" line="364"/>
+        <location filename="QAddonListModel.cpp" line="369"/>
+        <source>Do you want to backup this addon: %1?</source>
+        <translation>Möchten Sie wirklich dieses Addon sichern: %1?</translation>
+    </message>
+    <message>
+        <location filename="QAddonListModel.cpp" line="377"/>
+        <location filename="QAddonListModel.cpp" line="379"/>
         <source>Backing up single addon</source>
         <translation>Addonsicherung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="436"/>
+        <location filename="QAddonListModel.cpp" line="466"/>
         <source>Do you want to restore this addon: %1?</source>
         <translation>Möchten Sie wirklich dieses Addon wiederherstellen: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="444"/>
-        <location filename="QAddonListModel.cpp" line="446"/>
+        <location filename="QAddonListModel.cpp" line="474"/>
+        <location filename="QAddonListModel.cpp" line="476"/>
         <source>Restoring single addon</source>
         <translation>Addon-Wiederherstellung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="573"/>
-        <location filename="QAddonListModel.cpp" line="601"/>
-        <location filename="QAddonListModel.cpp" line="666"/>
-        <location filename="QAddonListModel.cpp" line="708"/>
+        <location filename="QAddonListModel.cpp" line="616"/>
+        <location filename="QAddonListModel.cpp" line="644"/>
+        <location filename="QAddonListModel.cpp" line="709"/>
+        <location filename="QAddonListModel.cpp" line="751"/>
         <source>Fatal</source>
         <translation>Fatal</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="585"/>
-        <location filename="QAddonListModel.cpp" line="597"/>
+        <location filename="QAddonListModel.cpp" line="628"/>
+        <location filename="QAddonListModel.cpp" line="640"/>
         <source>Processing downloaded data</source>
         <translation>Dateidowngeloadetbearbeitung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="602"/>
+        <location filename="QAddonListModel.cpp" line="645"/>
         <source>Invalid data</source>
         <translation>Datei ist ungeklärt</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="611"/>
+        <location filename="QAddonListModel.cpp" line="654"/>
         <source>Updating data</source>
         <translation>Dataaktualisierung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="638"/>
+        <location filename="QAddonListModel.cpp" line="681"/>
         <source>install</source>
         <translation>installieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="638"/>
+        <location filename="QAddonListModel.cpp" line="681"/>
         <source>update or reinstall</source>
         <translation>Wiederinstallieren oder aktualisieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="640"/>
+        <location filename="QAddonListModel.cpp" line="683"/>
         <source>Do you really want to %1 this addon: %2?</source>
         <translation>Möchten Sie wirklich dieses Addon %1: %2?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="667"/>
+        <location filename="QAddonListModel.cpp" line="710"/>
         <source>I/O error</source>
         <translation>E/A Fehler</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="716"/>
-        <location filename="QAddonListModel.cpp" line="748"/>
+        <location filename="QAddonListModel.cpp" line="759"/>
+        <location filename="QAddonListModel.cpp" line="791"/>
         <source>Downloading from site</source>
         <translation>Seitedateidowngeloadung ein</translation>
     </message>
@@ -468,12 +493,12 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="main.cpp" line="39"/>
         <source>show this help</source>
-        <translation>Dieses Helfen einzeigen</translation>
+        <translation>Dieses Helfen anzeigen</translation>
     </message>
     <message>
         <location filename="main.cpp" line="40"/>
         <source>display version</source>
-        <translation>Version einzeigen</translation>
+        <translation>Version anzeigen</translation>
     </message>
     <message>
         <location filename="main.cpp" line="45"/>
--- linion-1.0.orig/mainwindow_ru.ts
+++ linion-1.0/mainwindow_ru.ts
@@ -42,101 +42,120 @@ p, li { white-space: pre-wrap; }
     <name>ConfigDialog</name>
     <message>
         <location filename="configdialog.ui" line="17"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="295"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="322"/>
         <source>Application Settings</source>
         <translation>Настройки приложения</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="114"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="300"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="327"/>
         <source>App Paths</source>
         <translation>Пути</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="129"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="302"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="329"/>
         <source>Archivers</source>
         <translation>Архивы</translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="166"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="305"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="332"/>
         <source>TESO Addons And Backup</source>
         <translation>Аддоны и резервная копия</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="175"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="306"/>
+        <location filename="configdialog.ui" line="221"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
         <source>TESO Addons Path</source>
         <translation>Аддоны TESO</translation>
     </message>
     <message>
+        <location filename="configdialog.ui" line="175"/>
         <location filename="configdialog.ui" line="191"/>
-        <location filename="configdialog.ui" line="214"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="307"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="309"/>
+        <location filename="configdialog.ui" line="234"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="333"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="334"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="338"/>
         <source>...</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="198"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="308"/>
+        <location filename="configdialog.ui" line="211"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="336"/>
         <source>Backup Path</source>
         <translation>Резервные копии</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="253"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="310"/>
+        <location filename="configdialog.ui" line="201"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
+        <source>Saved Vars Path</source>
+        <translation>Файлы переменных</translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="241"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="339"/>
+        <source>Backup Saved Vars</source>
+        <translation>Сохранить переменные</translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="280"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="340"/>
         <source>Backup Archivers</source>
         <translation>Архивация</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="262"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="311"/>
+        <location filename="configdialog.ui" line="289"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="341"/>
         <source>Do not use just copy</source>
         <oldsource>Do not use, just copy</oldsource>
         <translation>Не использовть, только копировать</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="269"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="312"/>
+        <location filename="configdialog.ui" line="296"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="342"/>
         <source>Tar</source>
         <translation>Архиватор tar</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="279"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="313"/>
+        <location filename="configdialog.ui" line="306"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="343"/>
         <source>Zip</source>
         <translation>Архиватор Zip</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="292"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="314"/>
+        <location filename="configdialog.ui" line="319"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="344"/>
         <source>Extractors</source>
         <translation>Распаковщики</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="313"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="315"/>
+        <location filename="configdialog.ui" line="340"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="345"/>
         <source>Zip Extract Command</source>
         <translation>Распаковщик ZIP</translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="323"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="316"/>
+        <location filename="configdialog.ui" line="350"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="346"/>
         <source>Tar Extract Command</source>
         <translation>Распаковщик TAR</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="80"/>
+        <location filename="configdialog.cpp" line="91"/>
         <source>Choose ESO Adddons Directory</source>
         <translation>Папка с аддонами ESO</translation>
     </message>
     <message>
-        <location filename="configdialog.cpp" line="90"/>
+        <location filename="configdialog.cpp" line="103"/>
         <source>Choose Backup Directory</source>
         <translation>Папка для резервных копий</translation>
     </message>
+    <message>
+        <location filename="configdialog.cpp" line="130"/>
+        <source>Choose Saved Vars Directory</source>
+        <translation>Папка для файлов переменных</translation>
+    </message>
 </context>
 <context>
     <name>MainWindow</name>
@@ -316,139 +335,145 @@ p, li { white-space: pre-wrap; }
 <context>
     <name>QAddonListModel</name>
     <message>
-        <location filename="QAddonListModel.cpp" line="213"/>
+        <location filename="QAddonListModel.cpp" line="218"/>
         <source>Refresh</source>
         <translation>Обновить список</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="172"/>
+        <location filename="QAddonListModel.cpp" line="177"/>
         <source>No description</source>
         <translation>Нет описания</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="83"/>
+        <location filename="QAddonListModel.cpp" line="87"/>
         <source>Not installed</source>
         <translation>Не установлен</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="85"/>
+        <location filename="QAddonListModel.cpp" line="89"/>
         <source>Installed, Not backed up</source>
         <translation>Установлен. Нт резервной копии</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="87"/>
+        <location filename="QAddonListModel.cpp" line="91"/>
         <source>Installed. Backed up</source>
         <translation>Установлен. Есть резервная копия</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="173"/>
+        <location filename="QAddonListModel.cpp" line="178"/>
         <source>Unknown Author</source>
         <translation>Автор неизвестен</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="174"/>
+        <location filename="QAddonListModel.cpp" line="179"/>
         <source>Unknown Title</source>
         <translation>Название неизвестно</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="176"/>
+        <location filename="QAddonListModel.cpp" line="181"/>
         <source>Unknown Version</source>
         <translation>Версия неизвестна</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="263"/>
-        <location filename="QAddonListModel.cpp" line="269"/>
+        <location filename="QAddonListModel.cpp" line="268"/>
+        <location filename="QAddonListModel.cpp" line="274"/>
         <source>Updating</source>
         <translation>Обновление</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="320"/>
-        <location filename="QAddonListModel.cpp" line="336"/>
-        <location filename="QAddonListModel.cpp" line="435"/>
-        <location filename="QAddonListModel.cpp" line="639"/>
+        <location filename="QAddonListModel.cpp" line="325"/>
+        <location filename="QAddonListModel.cpp" line="341"/>
+        <location filename="QAddonListModel.cpp" line="368"/>
+        <location filename="QAddonListModel.cpp" line="465"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>Info</source>
         <translation>Информация</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="321"/>
+        <location filename="QAddonListModel.cpp" line="326"/>
         <source>Do you really want to delete this addon: %1?</source>
         <oldsource>Do you really want to delete this addon: %1</oldsource>
         <translation>Вы действительно хотите удалить аддон %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="337"/>
+        <location filename="QAddonListModel.cpp" line="342"/>
         <source>Do you want to make a backup of all installed addons?</source>
         <translation>Вы хотите создать резервную копию установленных аддонов?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="346"/>
+        <location filename="QAddonListModel.cpp" line="351"/>
         <source>Backing up</source>
         <translation>Сохранение</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="362"/>
-        <location filename="QAddonListModel.cpp" line="364"/>
+        <location filename="QAddonListModel.cpp" line="369"/>
+        <source>Do you want to backup this addon: %1?</source>
+        <translation>Вы хотите создать резервную копию аддона: %1?</translation>
+    </message>
+    <message>
+        <location filename="QAddonListModel.cpp" line="377"/>
+        <location filename="QAddonListModel.cpp" line="379"/>
         <source>Backing up single addon</source>
         <translation>Сохранение одного аддона</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="436"/>
+        <location filename="QAddonListModel.cpp" line="466"/>
         <source>Do you want to restore this addon: %1?</source>
         <translation>Вы действительно хотите восстановить аддон %1 из резервной копии?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="444"/>
-        <location filename="QAddonListModel.cpp" line="446"/>
+        <location filename="QAddonListModel.cpp" line="474"/>
+        <location filename="QAddonListModel.cpp" line="476"/>
         <source>Restoring single addon</source>
         <translation>Восстанавливается из резервной копии</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="585"/>
-        <location filename="QAddonListModel.cpp" line="597"/>
+        <location filename="QAddonListModel.cpp" line="628"/>
+        <location filename="QAddonListModel.cpp" line="640"/>
         <source>Processing downloaded data</source>
         <translation>Обработка загруженных данных</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="573"/>
-        <location filename="QAddonListModel.cpp" line="601"/>
-        <location filename="QAddonListModel.cpp" line="666"/>
-        <location filename="QAddonListModel.cpp" line="708"/>
+        <location filename="QAddonListModel.cpp" line="616"/>
+        <location filename="QAddonListModel.cpp" line="644"/>
+        <location filename="QAddonListModel.cpp" line="709"/>
+        <location filename="QAddonListModel.cpp" line="751"/>
         <source>Fatal</source>
         <translation>Критическая ошибка</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="602"/>
+        <location filename="QAddonListModel.cpp" line="645"/>
         <source>Invalid data</source>
         <translation>Некорректные данные</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="611"/>
+        <location filename="QAddonListModel.cpp" line="654"/>
         <source>Updating data</source>
         <translation>Обновление данных</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="638"/>
+        <location filename="QAddonListModel.cpp" line="681"/>
         <source>install</source>
         <translation>установить</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="638"/>
+        <location filename="QAddonListModel.cpp" line="681"/>
         <source>update or reinstall</source>
         <translation>обновить или переустановить</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="640"/>
+        <location filename="QAddonListModel.cpp" line="683"/>
         <source>Do you really want to %1 this addon: %2?</source>
         <translation>Вы действительно хотите %1 аддон %2?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="667"/>
+        <location filename="QAddonListModel.cpp" line="710"/>
         <source>I/O error</source>
         <translation>Ошибка ввода/вывода</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="716"/>
-        <location filename="QAddonListModel.cpp" line="748"/>
+        <location filename="QAddonListModel.cpp" line="759"/>
+        <location filename="QAddonListModel.cpp" line="791"/>
         <source>Downloading from site</source>
         <translation>Загрузка с сайта</translation>
     </message>
--- linion-1.0.orig/version.h
+++ linion-1.0/version.h
@@ -4,6 +4,6 @@
 
 #ifndef LINION_VERSION_H
 #define LINION_VERSION_H
-#define APP_VERSION "1.0-6"
+#define APP_VERSION "1.0-7"
 
 #endif //LINION_VERSION_H
